com.pixelmed.utils

## Class PhoneticStringEncoder

- java.lang.Object
- - com.pixelmed.utils.PhoneticStringEncoder

    public class PhoneticStringEncoder
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.Object` `encoder`
`protected java.lang.Class` `encoderClass`

### Constructor Summary

Constructors
Constructor and Description
`PhoneticStringEncoder()`

### Method Summary

Methods
`java.lang.String` `encode(java.lang.String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### encoderClass

    protected java.lang.Class encoderClass

#### encoder

    protected java.lang.Object encoder

### Constructor Detail

#### PhoneticStringEncoder

    public PhoneticStringEncoder()
                          throws PhoneticStringEncoderException

Throws:
  `PhoneticStringEncoderException`

### Method Detail

#### encode

    public java.lang.String encode(java.lang.String s)
                            throws PhoneticStringEncoderException

Throws:
  `PhoneticStringEncoderException`